package com.chenyang.nse.bussiness.service.core.mappletxml;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.mappletxml.TCoreRuleMappletInfo;
import com.chenyang.nse.bussiness.entity.vo.DataGridVO;
import com.chenyang.nse.bussiness.entity.vo.mappletxml.MappletxmlVO;
import java.util.List;

public interface MappletxmlDetailsService {
   DataGridVO<TCoreRuleMappletInfo> selectMappletxmlDetails(PageInfo pageinfo);

   String deleteMappletxmlDetails(String mappletxmldetailsid);

   MappletxmlVO updataMappletxmlDetails(String mappletxmldetailsid);

   List<TCoreRuleMappletInfo> selectMappletxmlList();

   List<TCoreRuleMappletInfo> selectMapplet(String mappletname, String id);
}
